# harbor

## install

```bash
# 1.install
kubectl create ns devops

helm install \
--namespace=devops \
harbor \
/etc/kubernetes/helm/beagle-harbor \
-f /etc/kubernetes/helm/beagle-harbor/values-overrides.yaml

# uninstall
helm uninstall \
--namespace=devops \
harbor

# update
helm upgrade \
--namespace=devops \
harbor \
/etc/kubernetes/helm/beagle-harbor \
-f /etc/kubernetes/helm/beagle-harbor/values-overrides.yaml

# template
helm template \
--namespace=devops \
harbor \
/etc/kubernetes/helm/beagle-harbor \
-f /etc/kubernetes/helm/beagle-harbor/values-overrides.yaml > /etc/kubernetes/helm/beagle-harbor/dist.yaml

# package
helm package . -d C:/Tmp/Charts
```

## images x86_64

```bash
# gitlab.wodcloud.com/cloud/awecloud-goharbor-harbor
registry.cn-qingdao.aliyuncs.com/wod/harbor-portal:v2.1.3
registry.cn-qingdao.aliyuncs.com/wod/harbor-core:v2.1.3
registry.cn-qingdao.aliyuncs.com/wod/harbor-jobservice:v2.1.3
registry.cn-qingdao.aliyuncs.com/wod/harbor-registryctl:v2.1.3

# gitlab.wodcloud.com/cloud/awecloud-goharbor-harbor-db
registry.cn-qingdao.aliyuncs.com/wod/harbor-db:v2.1.3

# registry
registry.cn-qingdao.aliyuncs.com/wod/registry:2.7.1

# gitlab.wodcloud.com/cloud/chartmuseum
registry.cn-qingdao.aliyuncs.com/wod/harbor-chartmuseum:v2.1.3

# gitlab.wodcloud.com/cloud/clair
registry.cn-qingdao.aliyuncs.com/wod/harbor-clair:v2.1.3

# gitlab.wodcloud.com/cloud/awecloud-goharbor-harbor-scanner-clair
registry.cn-qingdao.aliyuncs.com/wod/harbor-clair-adapter:v2.1.3

# gitlab.wodcloud.com/cloud/harbor-scanner-trivy
registry.cn-qingdao.aliyuncs.com/wod/harbor-trivy-adapter:v2.1.3

# gitlab.wodcloud.com/cloud/notary
registry.cn-qingdao.aliyuncs.com/wod/harbor-notary-server:v2.1.3
registry.cn-qingdao.aliyuncs.com/wod/harbor-notary-signer:v2.1.3

# redis
registry.cn-qingdao.aliyuncs.com/wod/redis:6.0.9
```

## images arm64

```bash
# gitlab.wodcloud.com/cloud/awecloud-goharbor-harbor
registry.cn-qingdao.aliyuncs.com/wod/harbor-portal:v2.1.3-arm64
registry.cn-qingdao.aliyuncs.com/wod/harbor-core:v2.1.3-arm64
registry.cn-qingdao.aliyuncs.com/wod/harbor-jobservice:v2.1.3-arm64
registry.cn-qingdao.aliyuncs.com/wod/harbor-registryctl:v2.1.3-arm64

# gitlab.wodcloud.com/cloud/awecloud-goharbor-harbor-db
registry.cn-qingdao.aliyuncs.com/wod/harbor-db:v2.1.3-arm64

# registry
registry.cn-qingdao.aliyuncs.com/wod/registry:2.7.1-arm64

# gitlab.wodcloud.com/cloud/chartmuseum
registry.cn-qingdao.aliyuncs.com/wod/harbor-chartmuseum:v2.1.3-arm64

# gitlab.wodcloud.com/cloud/clair
registry.cn-qingdao.aliyuncs.com/wod/harbor-clair:v2.1.3-arm64

# gitlab.wodcloud.com/cloud/awecloud-goharbor-harbor-scanner-clair
registry.cn-qingdao.aliyuncs.com/wod/harbor-clair-adapter:v2.1.3-arm64

# gitlab.wodcloud.com/cloud/harbor-scanner-trivy
registry.cn-qingdao.aliyuncs.com/wod/harbor-trivy-adapter:v2.1.3-arm64

# gitlab.wodcloud.com/cloud/notary
registry.cn-qingdao.aliyuncs.com/wod/harbor-notary-server:v2.1.3-arm64
registry.cn-qingdao.aliyuncs.com/wod/harbor-notary-signer:v2.1.3-arm64

# redis
registry.cn-qingdao.aliyuncs.com/wod/redis:6.0.9-arm64
```
